

<div>
    <app-search (search)="applyFilter($event)"></app-search>
</div>
<div *ngIf="courseList$ | async as courseList">
    <app-course-card *ngFor="let course of courseList" [course]="course" ></app-course-card>
</div>
<ng-template #noResults>
    <p>No courses found.</p>
</ng-template>

